<?php

class GetUsersResource extends AdminAdapter
{

	public function post($request)
	{
		// to Receive POST Params (use $this->params)
 		parent::post($request);

		if( $this->isLoggedIn() )
		{
			// Permission
			$permission = array();
			$permission['apps'] = $this->getUserApps();

			//Load Conf Admin
			$this->loadConfAdmin();

			$uidUser 	= $this->getParam('accountUidNumber');
			$searchUser = $this->getParam('accountSearchUser');

			//Validate Fields
			$uidUser = str_replace("*","",$uidUser);
			$uidUser = str_replace("%","",$uidUser);

			$searchUser = str_replace("*","", $searchUser);
			$searchUser = str_replace("%","", $searchUser);

			if( trim($uidUser) != "" && isset($uidUser) )
			{
				$permission['action'] = 'edit_users';

				if( $this->validatePermission($permission) )
				{
					// Get User
					$fields = $this->editUser($uidUser);

					if( $fields != false )
					{	
						// Return fields
						$return = array();
						$return['accountUidnumber']		= $fields['uidnumber'];
						$return['accountLogin']			= $fields['uid'];
						$return['accountEmail']			= $fields['mail'];
						$return['accountName']			= $fields['givenname']." ".$fields['sn'];
						$return['accountPhone']			= $fields['telephonenumber'];	
						$return['accountCpf']			= $fields['corporative_information_cpf'];
						$return['accountRg']			= $fields['corporative_information_rg'];
						$return['accountRgUf']			= $fields['corporative_information_rguf'];
						$return['accountDescription']	= $fields['corporative_information_description'];
						
						$this->setResult( array( "users" => $return ));
					}
					else
						Errors::runException( "ADMIN_USER_NOT_FOUND" );					
				}
				else
				{
					Errors::runException( "ACCESS_NOT_PERMITTED" );
				}			
			}
			else
			{
				$permission['action'] = 'list_users';

				if( $this->validatePermission($permission) )
				{
					$list = $this->listUsers( $searchUser );
					
					// Return list
					$return = array();

					foreach( $list as $key => $users )
					{
						$return[$key]['accountId'] 		= $users['account_id'];
						$return[$key]['accountLid']		= $users['account_lid'];
						$return[$key]['accountCn']		= $users['account_cn'];
						$return[$key]['accountMail']	= $users['account_mail'];
					}

					if( count($list) > 0 )
					{
						$this->setResult( array( "users" => $return ) );
					}
					else
					{
						Errors::runException( "ADMIN_USERS_NOT_FOUND" );		
					}
				}
				else
				{
					Errors::runException( "ACCESS_NOT_PERMITTED" );
				}			
			}
		}	

		return $this->getResponse();
	}		
}

?>